## START: Set by rpmautospec
## (rpmautospec version 0.6.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:          libdeflate
Version:       1.20
Release:       %autorelease
Summary:       Fast implementation of DEFLATE, gzip, and zlib

# SPDX
License:       MIT
URL:           https://github.com/ebiggers/libdeflate
Source:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: cmake

# For tests
BuildRequires: zlib-devel

%description
libdeflate is a library for fast, whole-buffer DEFLATE-based compression and
decompression, supporting DEFLATE, gzip, and zlib.

%package devel
Summary:       Development files for libdeflate
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for libdeflate.

%package utils
Summary:       Binaries from libdeflate
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description utils
Binaries from libdeflate.

%prep
%autosetup

%build
%cmake \
    -DLIBDEFLATE_BUILD_STATIC_LIB:BOOL=OFF \
    -DLIBDEFLATE_BUILD_SHARED_LIB:BOOL=ON \
    -DLIBDEFLATE_COMPRESSION_SUPPORT:BOOL=ON \
    -DLIBDEFLATE_DECOMPRESSION_SUPPORT:BOOL=ON \
    -DLIBDEFLATE_ZLIB_SUPPORT:BOOL=ON \
    -DLIBDEFLATE_GZIP_SUPPORT:BOOL=ON \
    -DLIBDEFLATE_FREESTANDING:BOOL=OFF \
    -DLIBDEFLATE_BUILD_GZIP:BOOL=ON \
    -DLIBDEFLATE_BUILD_TESTS:BOOL=ON \
    -DLIBDEFLATE_USE_SHARED_LIBS:BOOL=ON
%cmake_build

%install
%cmake_install

%files
%doc NEWS.md README.md
%license COPYING
%{_libdir}/libdeflate.so.0

%check
%ctest

%files devel
%{_includedir}/libdeflate.h
%{_libdir}/libdeflate.so
%{_libdir}/pkgconfig/libdeflate.pc
%{_libdir}/cmake/libdeflate/

%files utils
%{_bindir}/libdeflate-gzip
%{_bindir}/libdeflate-gunzip

%changelog
## START: Generated by rpmautospec
* Sat Mar 23 2024 Nick Black <dankamongmen@gmail.com> - 1.20-1
- new upstream 1.20

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Nov 08 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.19-1
- Update to 1.19 (close RHBZ#2160949)

* Wed Nov 08 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.18-1
- Update to 1.18

* Wed Nov 08 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.17-1
- Update to 1.17

* Wed Nov 08 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.16-1
- Update to 1.16

* Wed Nov 08 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.15-1
- Update to 1.15 (close RHBZ#2154661)

* Tue Nov 07 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.14-1
- Update to 1.14

* Tue Nov 07 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.13-1
- Update to 1.13

* Tue Nov 07 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.12-1
- Update to 1.12

* Tue Nov 07 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.11-1
- Update to 1.11

* Tue Nov 07 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.10-1
- Update to 1.10

* Tue Nov 07 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.9-14
- Build and run the tests
- For now, don’t enable running tests under Valgrind or sanitizers

* Mon Nov 06 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.9-13
- Improve makefile invocation a bit

* Mon Nov 06 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.9-12
- Improve Source URL and archive name

* Wed Oct 11 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.9-11
- Don’t unnecessarily glob under the pkgconfig directory

* Wed Oct 11 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.9-8
- Confirm License is SPDX MIT

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Feb 02 2023 Florian Weimer <fweimer@redhat.com> - 1.9-6
- Fix C99 compatibility issue

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jan 13 2022 Nick Black <dankamongmen@gmail.com> - 1.9-2
- install new pkgconfig file

* Thu Jan 13 2022 Nick Black <dankamongmen@gmail.com> - 1.9-1
- new upstream 1.9

* Tue Nov 23 2021 Nick Black <dankamongmen@gmail.com> - 1.8-1
- Initial import (#2023061)
## END: Generated by rpmautospec
